# studio::Dock_Params Class Reference

`#include <dock_params.h>`

Inheritance diagram for studio::Dock_Params:

List of all members.

## Public Member Functions

| Dock_Params ()
| ~Dock_Params ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
void | refresh_selected_param ()

## Constructor & Destructor Documentation

Dock_Params::Dock_Params | ( |  | ) |

Dock_Params::~Dock_Params | ( |  | ) |

## Member Function Documentation

void Dock_Params::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::get_name(), and refresh_selected_param().

void Dock_Params::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::clear_previous(), and studio::Dockable::get_name().

void Dock_Params::refresh_selected_param | ( |  | ) | `[protected]`

References studio::Dock_CanvasSpecific::get_canvas_view(), studio::Dockable::get_name(), and studio::CanvasTreeStore::Model::value_node.

Referenced by init_canvas_view_vfunc().

The documentation for this class was generated from the following files:

- dock_params.h
- dock_params.cpp